Ticket #43768

gcc-12: load_ruleset_units() "use after free" warning

Date d'ouverture: 2022-02-02 21:31 Dernière mise à jour: 2022-02-11 14:07

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

gcc-12 development version gives a warning (error when --enable-debug -> -Werror used) in S3_1 about load_ruleset_units() use of slist pointer at line 2468 after it has been freed at line 2442.

I did a gcc-12 build of S3_0 already, and it went through fine -> this is not affecting 3.0.0 plans.

Haven't checked situation in master yet.

Ticket History (3/5 Histories)

2022-02-02 21:31 Updated by: cazfi
  • New Ticket "gcc-12: load_ruleset_units() "use after free" warning" created
2022-02-03 00:45 Updated by: cazfi
Commentaire

Master is affected too.

The use of the slist pointer after it has been freed is completely wrong - it never contained information relevant for the situation. It sort of looks like copy-paste error where the name of the variable has not been updated, except with the twist that the "right variable" has never been assigned a value, either.

2022-02-03 00:53 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
2022-02-11 14:07 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion